%undefine __cmake_in_source_build
%bcond_without zchunk

Summary:        Repodata downloading library
Name:           librepo
Version:        1.14.5
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://github.com/rpm-software-management/librepo
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz



BuildRequires:  cmake, gcc
BuildRequires:  check-devel, gpgme-devel, libattr-devel, libcurl-devel >= 7.52.0, doxygen
BuildRequires:  pkgconfig(glib-2.0), pkgconfig(libxml-2.0), pkgconfig(libcrypto), pkgconfig(openssl)
BuildRequires:  python3-devel, python3-requests, python3-pyxattr, python3-gpg, python3-sphinx
%if %{with zchunk}
BuildRequires:  pkgconfig(zck) >= 0.9.11
%endif


Requires:       libcurl >= 7.52.0

%description
A library providing C and Python (libcURL like) API for downloading
packages and linux repository metadata in rpm-md format

%package devel
Summary:        Repodata downloading library
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for librepo.

%package -n python3-%{name}
Summary:        Python 3 bindings for the librepo library
BuildRequires:  python3-devel
BuildRequires:  python3-gpg
BuildRequires:  python3-pyxattr
BuildRequires:  python3-requests
Requires:       %{name} = %{version}-%{release}

%description -n python3-%{name}
Python 3 bindings for the librepo library.



%prep
%autosetup -p1



%build
%cmake %{!?with_zchunk:-DWITH_ZCHUNK=OFF}
%cmake_build



%check
%ctest



%install
%cmake_install



%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig



%files
%license COPYING
%doc README.md
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/

%files -n python3-%{name}
%{python3_sitearch}/%{name}/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue May 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.14.5-1
- Initial building.
